Distribution:	CCux
Packager:	Stefan Gottwald <sg3881@web.de>

Summary:	Net-SNMP Library for SNMP Traps.
Name:		net-snmp
Version:	5.5
Release:	1
Group:		Networking/Library
License:	GNU/GPL
URL:		http://www.net-snmp.org/
Source:		net-snmp-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot
BuildArch:	i686
Requires:	tcp_wrappers openssl perl perl-TermReadKey perl-tk
BuildRequires:	tcp_wrappers-devel openssl-devel perl-TermReadKey perl-tk
BuildRequires:  beecrypt-devel
BuildRequires:  expat-devel
BuildRequires:  krb5-devel
BuildRequires:  neon-devel
BuildRequires:  popt
BuildRequires:  sqlite-devel
BuildRequires:  libstdc++-devel


%define		perlversion	5.10.0

#Automatically resolved build dependencies
BuildRequires: bzip2-devel
BuildRequires: db-devel
BuildRequires: elfutils-devel
BuildRequires: glibc-devel
BuildRequires: libnl-devel
BuildRequires: nss-devel
BuildRequires: openssl-devel
BuildRequires: perl
BuildRequires: perl-TermReadKey
BuildRequires: perl-tk
BuildRequires: popt-devel
BuildRequires: rpm-devel
BuildRequires: xz-devel
BuildRequires: zlib-devel

%description
Net-SNMP Library for SNMP Traps.

%package devel
Summary: 	net-snmp development headers.
Group:     	Networking/Library
Requires: 	net-snmp = %{version}-%{release}

%description devel
Header and include files for developing applications with net-snmp.

%prep
%setup -qn %{name}-%{version}
autoconf

%build
./configure --prefix=%_prefix \
--with-sys-location="Unknown" \
--with-sys-contact="root@Unknown" \
--with-default-snmp-version=3 \
--with-mib-modules="host smux ucd-snmp/dlmod" \
--with-logfile=/var/log/net-snmpd.log \
--with-persistent-directory=/var/lib/net-snmp \
--mandir=%_mandir \
--enable-ucd-snmp-compatibility \
--enable-shared \
--with-zlib \
--with-install-prefix=$RPM_BUILD_ROOT \
--with-openssl \
--with-libwrap \
--enable-ipv6 

make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -Rf $RPM_BUILD_ROOT%_libdir/perl5/%{perlversion}
# strip debug symbols off binaries
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AGENT.txt ChangeLog FAQ INSTALL NEWS PORTING README* TODO
%doc EXAMPLE.conf.def EXAMPLE.conf
%{_bindir}/encode_keychange
%{_bindir}/fixproc
%{_bindir}/ipf-mod.pl
%{_bindir}/mib2c
%{_bindir}/mib2c-update
%{_bindir}/net-snmp-config
%{_bindir}/net-snmp-create-v3-user
%{_bindir}/snmpbulkget
%{_bindir}/snmpbulkwalk
%{_bindir}/snmpcheck
%{_bindir}/snmpconf
%{_bindir}/snmpdelta
%{_bindir}/snmpdf
%{_bindir}/snmpget
%{_bindir}/snmpgetnext
%{_bindir}/snmpinform
%{_bindir}/snmpnetstat
%{_bindir}/snmpset
%{_bindir}/snmpstatus
%{_bindir}/snmptable
%{_bindir}/snmptest
%{_bindir}/snmptranslate
%{_bindir}/snmptrap
%{_bindir}/snmpusm
%{_bindir}/snmpvacm
%{_bindir}/snmpwalk
%{_bindir}/tkmib
%{_bindir}/traptoemail
%{_libdir}/libnetsnmpagent.so.*
%{_libdir}/libnetsnmphelpers.so.*
%{_libdir}/libnetsnmpmibs.so.*
%{_libdir}/libnetsnmp.so.*
%{_libdir}/libnetsnmptrapd.so.*
%{_libdir}/libsnmp.so.*
%{_libdir}/perl5/site_perl/5.10.0/i686-linux-thread-multi/auto/Bundle/NetSNMP/.packlist
%{_libdir}/perl5/site_perl/5.10.0/i686-linux-thread-multi/auto/NetSNMP
%{_libdir}/perl5/site_perl/5.10.0/i686-linux-thread-multi/auto/SNMP
%{_libdir}/perl5/site_perl/5.10.0/i686-linux-thread-multi/Bundle/Makefile.subs.pl
%{_libdir}/perl5/site_perl/5.10.0/i686-linux-thread-multi/NetSNMP
%{_libdir}/perl5/site_perl/5.10.0/i686-linux-thread-multi/SNMP.pm
%{_sbindir}/snmpd
%{_sbindir}/snmptrapd
%{_mandir}/man1/encode_keychange.1.gz
%{_mandir}/man1/fixproc.1.gz
%{_mandir}/man1/mib2c.1.gz
%{_mandir}/man1/mib2c-update.1.gz
%{_mandir}/man1/net-snmp-config.1.gz
%{_mandir}/man1/net-snmp-create-v3-user.1.gz
%{_mandir}/man1/snmpbulkget.1.gz
%{_mandir}/man1/snmpbulkwalk.1.gz
%{_mandir}/man1/snmpcmd.1.gz
%{_mandir}/man1/snmpconf.1.gz
%{_mandir}/man1/snmpdelta.1.gz
%{_mandir}/man1/snmpdf.1.gz
%{_mandir}/man1/snmpget.1.gz
%{_mandir}/man1/snmpgetnext.1.gz
%{_mandir}/man1/snmpinform.1.gz
%{_mandir}/man1/snmpnetstat.1.gz
%{_mandir}/man1/snmpset.1.gz
%{_mandir}/man1/snmpstatus.1.gz
%{_mandir}/man1/snmptable.1.gz
%{_mandir}/man1/snmptest.1.gz
%{_mandir}/man1/snmptranslate.1.gz
%{_mandir}/man1/snmptrap.1.gz
%{_mandir}/man1/snmpusm.1.gz
%{_mandir}/man1/snmpvacm.1.gz
%{_mandir}/man1/snmpwalk.1.gz
%{_mandir}/man1/tkmib.1.gz
%{_mandir}/man1/traptoemail.1.gz
%{_mandir}/man5/mib2c.conf.5.gz
%{_mandir}/man5/snmp.conf.5.gz
%{_mandir}/man5/snmp_config.5.gz
%{_mandir}/man5/snmpd.conf.5.gz
%{_mandir}/man5/snmpd.examples.5.gz
%{_mandir}/man5/snmpd.internal.5.gz
%{_mandir}/man5/snmptrapd.conf.5.gz
%{_mandir}/man5/variables.5.gz
%{_mandir}/man8/snmpd.8.gz
%{_mandir}/man8/snmptrapd.8.gz
%{_datadir}/snmp

%files devel
%defattr(-,root,root)
%{_includedir}/net-snmp
%{_includedir}/ucd-snmp
%{_libdir}/libnetsnmp.a
%{_libdir}/libnetsnmpagent.a
%{_libdir}/libnetsnmpagent.la
%{_libdir}/libnetsnmpagent.so
%{_libdir}/libnetsnmphelpers.a
%{_libdir}/libnetsnmphelpers.la
%{_libdir}/libnetsnmphelpers.so
%{_libdir}/libnetsnmp.la
%{_libdir}/libnetsnmpmibs.a
%{_libdir}/libnetsnmpmibs.la
%{_libdir}/libnetsnmpmibs.so
%{_libdir}/libnetsnmp.so
%{_libdir}/libnetsnmptrapd.a
%{_libdir}/libnetsnmptrapd.la
%{_libdir}/libnetsnmptrapd.so
%{_libdir}/libsnmp.a
%{_libdir}/libsnmp.la
%{_libdir}/libsnmp.so
%{_sbindir}/snmpd
%{_sbindir}/snmptrapd
%{_mandir}/man3/add_mibdir.3.gz
%{_mandir}/man3/add_module_replacement.3.gz
%{_mandir}/man3/config_api.3.gz
%{_mandir}/man3/config_perror.3.gz
%{_mandir}/man3/config_pwarn.3.gz
%{_mandir}/man3/default_store.3.gz
%{_mandir}/man3/fprint_description.3.gz
%{_mandir}/man3/fprint_objid.3.gz
%{_mandir}/man3/fprint_value.3.gz
%{_mandir}/man3/fprint_variable.3.gz
%{_mandir}/man3/get_module_node.3.gz
%{_mandir}/man3/init_mib.3.gz
%{_mandir}/man3/init_mib_internals.3.gz
%{_mandir}/man3/mib_api.3.gz
%{_mandir}/man3/netsnmp_access_multiplexer.3.gz
%{_mandir}/man3/netsnmp_agent.3.gz
%{_mandir}/man3/NetSNMP::agent.3.gz
%{_mandir}/man3/NetSNMP::agent::default_store.3.gz
%{_mandir}/man3/netsnmp_agent_handler.h.3.gz
%{_mandir}/man3/NetSNMP::ASN.3.gz
%{_mandir}/man3/netsnmp_baby_steps.3.gz
%{_mandir}/man3/netsnmp_bulk_to_next.3.gz
%{_mandir}/man3/netsnmp_cache_handler.3.gz
%{_mandir}/man3/netsnmp_container.3.gz
%{_mandir}/man3/netsnmp_container_iterator.3.gz
%{_mandir}/man3/netsnmp_container_iterator.h.3.gz
%{_mandir}/man3/netsnmp_debug.3.gz
%{_mandir}/man3/NetSNMP::default_store.3.gz
%{_mandir}/man3/netsnmp_ds_get_boolean.3.gz
%{_mandir}/man3/netsnmp_ds_get_int.3.gz
%{_mandir}/man3/netsnmp_ds_get_string.3.gz
%{_mandir}/man3/netsnmp_ds_register_config.3.gz
%{_mandir}/man3/netsnmp_ds_register_premib.3.gz
%{_mandir}/man3/netsnmp_ds_set_boolean.3.gz
%{_mandir}/man3/netsnmp_ds_set_int.3.gz
%{_mandir}/man3/netsnmp_ds_set_string.3.gz
%{_mandir}/man3/netsnmp_ds_shutdown.3.gz
%{_mandir}/man3/netsnmp_example_scalar_int.3.gz
%{_mandir}/man3/netsnmp_handler.3.gz
%{_mandir}/man3/netsnmp_instance.3.gz
%{_mandir}/man3/netsnmp_iterator_info_s.3.gz
%{_mandir}/man3/netsnmp_leaf.3.gz
%{_mandir}/man3/netsnmp_library.3.gz
%{_mandir}/man3/netsnmp_mib_handler_methods.3.gz
%{_mandir}/man3/netsnmp_mib_utilities.3.gz
%{_mandir}/man3/netsnmp_mode_end_call.3.gz
%{_mandir}/man3/netsnmp_multiplexer.3.gz
%{_mandir}/man3/netsnmp_netsnmp_monitor_callback_header_s.3.gz
%{_mandir}/man3/NetSNMP::netsnmp_request_infoPtr.3.gz
%{_mandir}/man3/netsnmp_null_container.3.gz
%{_mandir}/man3/NetSNMP::OID.3.gz
%{_mandir}/man3/netsnmp_old_api.3.gz
%{_mandir}/man3/netsnmp_read_only.3.gz
%{_mandir}/man3/netsnmp_row_merge.3.gz
%{_mandir}/man3/netsnmp_scalar.3.gz
%{_mandir}/man3/netsnmp_scalar_group_group.3.gz
%{_mandir}/man3/netsnmp_serialize.3.gz
%{_mandir}/man3/netsnmp_stash_cache.3.gz
%{_mandir}/man3/netsnmp_table.3.gz
%{_mandir}/man3/netsnmp_table_array.3.gz
%{_mandir}/man3/netsnmp_table_data.3.gz
%{_mandir}/man3/netsnmp_table_dataset.3.gz
%{_mandir}/man3/netsnmp_table_iterator.3.gz
%{_mandir}/man3/netsnmp_table_row.3.gz
%{_mandir}/man3/netsnmp_tools.h.3.gz
%{_mandir}/man3/NetSNMP::TrapReceiver.3.gz
%{_mandir}/man3/netsnmp_utilities.3.gz
%{_mandir}/man3/netsnmp_watcher.3.gz
%{_mandir}/man3/pdu_api.3.gz
%{_mandir}/man3/print_description.3.gz
%{_mandir}/man3/print_mib.3.gz
%{_mandir}/man3/print_objid.3.gz
%{_mandir}/man3/print_value.3.gz
%{_mandir}/man3/print_variable.3.gz
%{_mandir}/man3/read_all_mibs.3.gz
%{_mandir}/man3/read_config.3.gz
%{_mandir}/man3/read_config_print_usage.3.gz
%{_mandir}/man3/read_configs.3.gz
%{_mandir}/man3/read_mib.3.gz
%{_mandir}/man3/read_module.3.gz
%{_mandir}/man3/read_module_node.3.gz
%{_mandir}/man3/read_objid.3.gz
%{_mandir}/man3/read_premib_configs.3.gz
%{_mandir}/man3/register_app_config_handler.3.gz
%{_mandir}/man3/register_app_premib_handler.3.gz
%{_mandir}/man3/register_config_handler.3.gz
%{_mandir}/man3/register_mib_handlers.3.gz
%{_mandir}/man3/register_premib_handler.3.gz
%{_mandir}/man3/send_easy_trap.3.gz
%{_mandir}/man3/send_trap_vars.3.gz
%{_mandir}/man3/send_v2trap.3.gz
%{_mandir}/man3/session_api.3.gz
%{_mandir}/man3/shutdown_mib.3.gz
%{_mandir}/man3/SNMP.3.gz
%{_mandir}/man3/snmp_agent_api.3.gz
%{_mandir}/man3/snmp_alarm.3.gz
%{_mandir}/man3/snmp_alarm_register.3.gz
%{_mandir}/man3/snmp_alarm_register_hr.3.gz
%{_mandir}/man3/snmp_alarm_unregister.3.gz
%{_mandir}/man3/snmp_api_errstring.3.gz
%{_mandir}/man3/snmp_close.3.gz
%{_mandir}/man3/snmp_error.3.gz
%{_mandir}/man3/snmp_free_pdu.3.gz
%{_mandir}/man3/snmp_open.3.gz
%{_mandir}/man3/snmp_perror.3.gz
%{_mandir}/man3/snmp_read.3.gz
%{_mandir}/man3/snmp_select_info.3.gz
%{_mandir}/man3/snmp_send.3.gz
%{_mandir}/man3/snmp_sess_api.3.gz
%{_mandir}/man3/snmp_sess_async_send.3.gz
%{_mandir}/man3/snmp_sess_close.3.gz
%{_mandir}/man3/snmp_sess_error.3.gz
%{_mandir}/man3/snmp_sess_init.3.gz
%{_mandir}/man3/snmp_sess_open.3.gz
%{_mandir}/man3/snmp_sess_perror.3.gz
%{_mandir}/man3/snmp_sess_read.3.gz
%{_mandir}/man3/snmp_sess_select_info.3.gz
%{_mandir}/man3/snmp_sess_send.3.gz
%{_mandir}/man3/snmp_sess_session.3.gz
%{_mandir}/man3/snmp_sess_timeout.3.gz
%{_mandir}/man3/snmp_set_mib_warnings.3.gz
%{_mandir}/man3/snmp_set_save_descriptions.3.gz
%{_mandir}/man3/snmp_timeout.3.gz
%{_mandir}/man3/snmp_trap_api.3.gz
%{_mandir}/man3/snprint_objid.3.gz
%{_mandir}/man3/snprint_value.3.gz
%{_mandir}/man3/snprint_variable.3.gz
%{_mandir}/man3/sprint_realloc_objid.3.gz
%{_mandir}/man3/sprint_realloc_value.3.gz
%{_mandir}/man3/sprint_realloc_variable.3.gz
%{_mandir}/man3/unregister_app_config_handler.3.gz
%{_mandir}/man3/unregister_config_handler.3.gz
%{_mandir}/man3/varbind_api.3.gz

%changelog
* Mon May 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 5.5-1
- Version Update
* Fri Nov 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 5.4.1-1
- Version Update
* Wed Sep 13 2006 Karsten Brockmann <arcam@ccux-linux.de> 5.3.1-1
- Version Update
- disabled embedded perl (broken)
* Sun Mar 12 2006 Karsten Brockmann <arcam@ccux-linux.de> 5.3-1
- Version Update
* Sat Nov 19 2005 Christian Wasem <wasem@ccux-linux.de> 5.2.1.2-1
- Update to Version 5.2.1.2
* Fri Jul 08 2005 Karsten Brockmkann <arcam@ccux-linux.de> 5.2-3
- rebuilt against openssl 0.9.8
* Thu May 19 2005 Christian Metzen <metzench@ccux-linux.de> 5.2-2
- Tweaked Spec File, added new Summary, splitted devel Package
* Wed Mar 07 2005 Stefan Gottwald <sg3881@web.de> 5.2-1
- Initial Build
